ALTER TABLE `im_chatuser` ADD `freeze` ENUM('0', '1') NOT NULL DEFAULT '0'  AFTER `mute`;
ALTER TABLE `im_message` CHANGE `contentType` `contentType` ENUM('text', 'plain', 'emotion', 'image', 'file', 'code', 'object')  CHARACTER SET utf8  COLLATE utf8_general_ci  NOT NULL  DEFAULT 'text';
ALTER TABLE `sys_user` ADD `deviceToken` char(120) NOT NUll AFTER `role`;
ALTER TABLE `sys_user` ADD `deviceType` char(20) NOT NUll AFTER `deviceToken`;
ALTER TABLE `im_client` CHANGE `version` `version` char(30) NOT NULL DEFAULT '';

-- DROP TABLE IF EXISTS `im_queue`;
CREATE TABLE IF NOT EXISTS `im_queue` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `type` char(30) NOT NULL,
  `content` text NOT NULL,
  `addDate` datetime NOT NULL,
  `processDate` datetime NOT NULL,
  `result` text NOT NULL,
  `status` char(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
